Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Parent

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Parent

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Parent

extends Object

4.0.0

Java class for Parent complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Parent">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="artifactId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="groupId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="relativePath" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `artifactId`
`protected String` | `groupId`
`protected String` | `relativePath`
`protected String` | `version`

Constructor Summary
`Parent()`

Method Summary
`String` | `getArtifactId()` Gets the value of the artifactId property.
`String` | `getGroupId()` Gets the value of the groupId property.
`String` | `getRelativePath()` Gets the value of the relativePath property.
`String` | `getVersion()` Gets the value of the version property.
`void` | `setArtifactId(String value)` Sets the value of the artifactId property.
`void` | `setGroupId(String value)` Sets the value of the groupId property.
`void` | `setRelativePath(String value)` Sets the value of the relativePath property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### artifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String artifactId

### groupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String groupId

### version

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String version

### relativePath

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String relativePath

Constructor Detail

### Parent

    public Parent()

Method Detail

### getArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getArtifactId()

  Gets the value of the artifactId property.

  Returns:
    possible object is `String`

### setArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setArtifactId(String value)

  Sets the value of the artifactId property.

  Parameters:
    `value` - allowed object is `String`

### getGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getGroupId()

  Gets the value of the groupId property.

  Returns:
    possible object is `String`

### setGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setGroupId(String value)

  Sets the value of the groupId property.

  Parameters:
    `value` - allowed object is `String`

### getVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

### getRelativePath

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getRelativePath()

  Gets the value of the relativePath property.

  Returns:
    possible object is `String`

### setRelativePath

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setRelativePath(String value)

  Sets the value of the relativePath property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.